org.eclipse.graphiti.pattern.mapping

## Class LinkCreationInfo

- java.lang.Object
- - org.eclipse.graphiti.pattern.mapping.LinkCreationInfo

All Implemented Interfaces:
  ILinkCreationInfo

    public class LinkCreationInfo
    extends Object
    implements ILinkCreationInfo

The Class LinkCreationInfo.

### Constructor Summary

Constructors
Constructor and Description
`LinkCreationInfo(Object businessObject)` Creates a new `LinkCreationInfo`.
`LinkCreationInfo(Object[] businessObjects)` Creates a new `LinkCreationInfo`.
`LinkCreationInfo(Object[] businessObjects, String property)` Creates a new `LinkCreationInfo`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `getBusinessObjects()` Gets the business objects.
`String` `getProperty()` Gets the property.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LinkCreationInfo

    public LinkCreationInfo(Object businessObject)

Creates a new `LinkCreationInfo`.

Parameters:
  `businessObject` - the business object

#### LinkCreationInfo

    public LinkCreationInfo(Object[] businessObjects)

Creates a new `LinkCreationInfo`.

Parameters:
  `businessObjects` - the business objects

#### LinkCreationInfo

    public LinkCreationInfo(Object[] businessObjects,
                            String property)

Creates a new `LinkCreationInfo`.

Parameters:
  `businessObjects` - the business objects
  `property` - the property

### Method Detail

#### getBusinessObjects

    public Object[] getBusinessObjects()

Description copied from interface: `ILinkCreationInfo`
Gets the business objects.

Specified by:
  `getBusinessObjects` in interface `ILinkCreationInfo`
Returns:
  list of business objects which will connected with a pictogram element

#### getProperty

    public String getProperty()

Description copied from interface: `ILinkCreationInfo`
Gets the property.

Specified by:
  `getProperty` in interface `ILinkCreationInfo`
Returns:
  a property which will be used as link property